# GM -  User Calendar

## **Documentation**

GridMate provides the **GM – User Calendar**, a highly configurable calendar component that enables  users to manage standard and custom objects within a unified calendar view. It supports advanced filtering, color conditioning, and dynamic event rendering based on user interactions.

## **Specification**

<table data-full-width="true"><thead><tr><th>Property</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td>UserCalendar Id or Developer Name</td><td>String</td><td>GM - UserCalendar Id or Developer Name to use</td></tr><tr><td>Calendar Height</td><td>Integer</td><td>Set the calendar height. Use 9999 for dynamic height</td></tr></tbody></table>

## **API Reference**

{% tabs %}
{% tab title="userCalendarLWC.js-meta.xml" %}

```xml
<?xml version="1.0" encoding="UTF-8"?>
<LightningComponentBundle xmlns="http://soap.sforce.com/2006/04/metadata">
    <apiVersion>64.0</apiVersion>
    <isExposed>true</isExposed>
    <masterLabel>GM - User Calendar</masterLabel>
    <targets>
        <target>lightning__RecordPage</target>
        <target>lightning__AppPage</target>
        <target>lightning__HomePage</target>
        <target>lightningCommunity__Page</target>
        <target>lightningCommunity__Default</target>
    </targets>
    <targetConfigs>
        <targetConfig
            targets="lightning__RecordPage,lightning__AppPage,lightning__HomePage,lightningCommunity__Default"
        >
            <property
                name="userCalendarId"
                type="String"
                label="UserCalendar Id or Developer Name"
                description="GM - UserCalendar Id or Developer Name to use"
            />

            <property
                name="height"
                type="Integer"
                label="Calendar Height"
                description="Set the calendar height. Use 9999 for dynamic height"
            />
        </targetConfig>
    </targetConfigs>
</LightningComponentBundle>

```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gridmate.io/package-reference/components-library/gm-user-calendar.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
